View Issue Details

IDProjectCategoryView StatusLast Update
10533Feature requests[All Projects] Pluginspublic2019-03-28 17:21
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynormalSeverityfeature 
Status resolvedResolutionreopened 
Product Version 
Target VersionFixed in Version4.0.0dev 
Summary10533: Global beforeSendEmail event
Description

We have beforeTokenEmail but not for other email, not linked to token.

Think some plugin need a beforeSendEmail : for example :

  • a plugin using gmail api : https://developers.google.com/gmail/api/ to send email (gmail is limited with SMTP at 500 mail by day if i remind , and if you have one error : close ....)
  • a plugin for smtp.office365.com who need some fix on From/.Return-path
  • Any other email send API
Additional Information

Think the best is:

  • Create the new event beforeSendEmail in SendEmailMessage function
  • remove the events beforeTokenEmail (we have it 2 times in 2.06 : i need to validate if it exits in 2.5 yoo (before register email)
  • Add a core plugin (activated or in Core: Database authentication + exports because this one is already activated and i don't really want to create a new "activation" when update DB)
Tagsemail, plugin

Relationships

related to 10529 closedDenisChenu Bug reports Unable to send email via office365 except with hard system 
related to 10892 new Feature requests Support EM placeholders for file names when attaching files to emails 
related to 11192 assignedLouisGac Feature requests Enable editing of 'Saved survey' email via "Edit email templates" 
related to 11848 new Feature requests Saved Surveys - E-Mail Notification Password in Plain Text 
related to 11770 new Feature requests make it possible to have several different SMTP and bounce email settings for each admin user 
related to 12007 new Feature requests Override a translation value or modify the Save email sent to user 

Issue History

Date Modified Username Field Change
2016-02-19 14:14 DenisChenu New Issue
2016-02-19 14:14 DenisChenu Relationship added related to 10529
2016-04-09 15:36 DenisChenu Relationship added related to 10892
2016-05-14 15:30 DenisChenu Relationship added related to 11192
2016-05-14 15:31 DenisChenu Tag Attached: email
2016-05-14 15:31 DenisChenu Tag Attached: plugin
2016-10-31 22:00 DenisChenu Relationship added related to 11848
2016-11-17 17:46 DenisChenu Relationship added related to 11770
2016-12-15 23:55 DenisChenu Relationship added related to 12007
2019-03-28 17:16 DenisChenu Assigned To => DenisChenu
2019-03-28 17:16 DenisChenu Status new => resolved
2019-03-28 17:16 DenisChenu Resolution open => fixed
2019-03-28 17:16 DenisChenu Fixed in Version => 4.0.0dev
2019-03-28 17:16 DenisChenu Note Added: 51184
2019-03-28 17:18 DenisChenu Status resolved => feedback
2019-03-28 17:18 DenisChenu Resolution fixed => reopened
2019-03-28 17:20 DenisChenu Note Edited: 51184 View Revisions
2019-03-28 17:21 DenisChenu Status feedback => resolved